Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 170778 - /** style */ comments are ignored for docs popup
/** style */ comments are ignored for docs popup
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
6.x
PC Linux
: P3 (vote)
: 7.3
Assigned To: Martin Fousek
issues@javascript
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-24 05:03 UTC by lytles
Modified: 2012-09-07 13:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lytles 2009-08-24 05:03:22 UTC
single line javadoc comments, eg.

/** this is a comment */
function blah() {}

are ignored in the documentation popup, instead showing "no comments found". reformatting the comment as 3 lines makes 
the popup work correctly, eg.

/**
  * this is a comment
  */
Comment 1 Irina Filippova 2010-02-17 08:09:52 UTC
Changing the component for the issue. Was erroneously located in usersguide.
Comment 2 Martin Fousek 2012-09-07 13:28:14 UTC
Unformatted comments are parsed correctly in the new javascript editor, so you will have it fixed in the NetBeans 7.3. Marking as fixed.

By the way, feel free to try it out in the development builds, here:
http://bits.netbeans.org/download/trunk/nightly/latest/


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo